Skip to main content
GET
/
custom_domains
/
{id}
Retrieve a custom domain
curl --request GET \
  --url https://api.pocketflows.com/custom_domains/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "<string>",
  "business": "<string>",
  "domain": "<string>",
  "dns_records": [
    {
      "name": "<string>",
      "type": "<string>",
      "value": "<string>"
    }
  ],
  "created_at": "<string>",
  "validated": true,
  "entri_propagation_status": "<string>",
  "setup_completed_at": "<string>",
  "setup_type": "<string>"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The ID of the custom domain

Response

200 - application/json

A Custom Domain object

id
string
required

The ID of the custom domain

business
string
required

The ID of the business

domain
string
required

The domain name

dns_records
object[] | null
required

The DNS records for the domain

created_at
string
required

The date and time the custom domain was created

validated
boolean
required

Whether the domain is valid

entri_propagation_status
string | null
required

The Entri propagation status

setup_completed_at
string | null
required

The date and time setup was completed

setup_type
string | null
required

The type of setup (automatic or manual)